Package com.collabnet.ce.soap60.webservices.cemain

# Class FolderSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

Direct Known Subclasses:
  `CategorySoapDOMarshaler`, `DocumentFolderSoapDOMarshaler`, `Forum2SoapDOMarshaler`, `ForumSoapDOMarshaler`, `GenericFolderSoapDOMarshaler`, `PackageSoapDOMarshaler`, `PageSoapDOMarshaler`, `PlanningFolder2SoapDOMarshaler`, `PlanningFolder3SoapDOMarshaler`, `PlanningFolder4SoapDOMarshaler`, `PlanningFolder5SoapDOMarshaler`, `PlanningFolderSoapDOMarshaler`, `ReleaseSoapDOMarshaler`, `Repository2SoapDOMarshaler`, `RepositorySoapDOMarshaler`, `TopicSoapDOMarshaler`, `Tracker2SoapDOMarshaler`, `Tracker3SoapDOMarshaler`, `TrackerSoapDOMarshaler`

public abstract class FolderSoapDOMarshaler extends ObjectSoapDOMarshaler
Provides support for marshaling/unmarshaling FolderSoapDO members to FolderDO members.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderSoapDOMarshaler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `protectedRmiToSoap(Object soapObject, Object rmiObject)`
  Unmarshals data from an rmi object to a given SOAP object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.collabnet.ce.soap60.marshaling.SoapMarshaler

  `rmiToSoap, soapToRmi`

- ## Constructor Details

  - ### FolderSoapDOMarshaler

    public FolderSoapDOMarshaler()

- ## Method Details

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `ObjectSoapDOMarshaler`
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Overrides:
      `protectedSoapToRmi` in class `ObjectSoapDOMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `ObjectSoapDOMarshaler.protectedSoapToRmi(java.lang.Object, java.lang.Object)`

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Description copied from class: `ObjectSoapDOMarshaler`
    Unmarshals data from an rmi object to a given SOAP object. This protected method is primarily used by the marshaler classes to unmarshal members from a super-class marshaler.
    Overrides:
      `protectedRmiToSoap` in class `ObjectSoapDOMarshaler`
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.
    See Also:
      - `ObjectSoapDOMarshaler.protectedRmiToSoap(java.lang.Object, java.lang.Object)`